Subject: Re: Questions on interrupt vector assignment on MPC8641D

From: Michael Ellerman <[email-masked]>
Date: Wed, 13 Oct 2010 12:10:15 +1100

On Mon, 2010-10-11 at 09:44 -0500, [email-masked] wrote:
> > You should define MSI device nodes on your target dts. And you can refer
> > to the
> > file, mpc8572ds.dts.
> 
> I see nothing in that file that defines any MSIs. I see code that looks
> like it maps ROOT COMPLEX MODE interrupts on regular PCI interfaces, which
> IS NOT WHAT I AM DOING.
> 
> Since it seems I have been unclear, let me state this as clearly as possible.
> 
> I AM DOING ENDPOINT MODE.

Shouting is not going to make you any friends.

cheers